Summary:        A library for bits of crypto UI and parsing
Name:           gcr
Version:        3.92.0
Release:        3%{?dist}
License:        LGPLv2+
URL:            https://gitlab.gnome.org/GNOME/gcr
Source0:        https://download.gnome.org/sources/%{name}/3.41/%{name}-%{version}.tar.xz

BuildRequires:  meson gettext
BuildRequires:  pkgconfig(gio-unix-2.0) pkgconfig(gobject-introspection-1.0)
BuildRequires:  pkgconfig(gtk4) desktop-file-utils
BuildRequires:  pkgconfig(libsecret-1) libgcrypt-devel
BuildRequires:  pkgconfig(libsystemd) systemd-rpm-macros
BuildRequires:  pkgconfig(p11-kit-1)
BuildRequires:  vala
%ifarch %{valgrind_arches}
BuildRequires:  valgrind-devel
%endif
BuildRequires:  /usr/bin/gpg2
BuildRequires:  /usr/bin/ssh-add
BuildRequires:  /usr/bin/ssh-agent

Requires: %{name}-base = %{version}-%{release}
Requires: /usr/bin/gpg2
Requires: /usr/bin/ssh-add
Requires: /usr/bin/ssh-agent

%description
gcr is a library for displaying certificates, and crypto UI, accessing
key stores. It also provides a viewer for crypto files on the GNOME
desktop.

gck is a library for accessing PKCS#11 modules like smart cards.

%package        libs
Summary:        gcr and gck libraries
Provides:       %{name}-base = %{version}-%{release}

Obsoletes:      %{name}-base < 3.92.0-1
Obsoletes:      %{name}-gtk3 < 3.92.0-1
Obsoletes:      %{name}-gtk4 < 3.92.0-1

%description    libs
The %{name}-libs package contains the gcr and gck shared libraries.

%package devel
Summary: Development files for gcr
Requires: %{name} = %{version}-%{release}

Obsoletes: %{name}-gtk3-devel < 3.92.0-1
Obsoletes: %{name}-gtk4-devel < 3.92.0-1

%description devel
The %{name}-devel package contains libraries and header files for developing applications that use %{name}.

%package base
Summary: Library files for gcr

%description base
The gcr-base package includes the gcr-base library.


%prep
%autosetup

%build
%meson -Dgtk_doc=false
%meson_build

%install
%meson_install
%find_lang gcr-4

%check


%post
%systemd_user_post gcr-ssh-agent.service

%preun
%systemd_user_preun gcr-ssh-agent.service

%postun
%systemd_user_postun_with_restart gcr-ssh-agent.service


%files
%license COPYING
%doc NEWS README.md
%{_bindir}/gcr-viewer-gtk4
%{_libexecdir}/gcr-ssh-agent
%{_libexecdir}/gcr4-ssh-askpass
%{_userunitdir}/gcr-ssh-agent.service
%{_userunitdir}/gcr-ssh-agent.socket

%files libs -f gcr-4.lang
%license COPYING
%dir %{_libdir}/girepository-1.0
%{_libdir}/girepository-1.0/Gck-2.typelib
%{_libdir}/girepository-1.0/Gcr-4.typelib
%{_libdir}/libgck-2.so.0.0.0
%{_libdir}/libgck-2.so.1.92.0
%{_libdir}/libgcr-4.so.0.0.0
%{_libdir}/libgcr-4.so.3.92.0

%files devel
%{_includedir}/gck-2/
%{_includedir}/gcr-4/
%{_libdir}/libgck-2.so
%{_libdir}/libgcr-4.so
%{_libdir}/pkgconfig/gck-2.pc
%{_libdir}/pkgconfig/gcr-4.pc
%dir %{_datadir}/gir-1.0
%{_datadir}/gir-1.0/Gck-2.gir
%{_datadir}/gir-1.0/Gcr-4.gir
%dir %{_datadir}/vala
%dir %{_datadir}/vala/vapi
%{_datadir}/vala/vapi/gck-2.deps
%{_datadir}/vala/vapi/gck-2.vapi
%{_datadir}/vala/vapi/gcr-4.deps
%{_datadir}/vala/vapi/gcr-4.vapi


%changelog
* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.92.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.92.0-2
- Rebuilt for OpenCloudOS Stream 23

* Tue Dec 6 2022 Shuo Wang <abushwang@tencent.com> - 3.92.0-1
- update to 3.92.0 to support gcr4

* Thu Nov 17 2022 rockerzhu <rockerzhu@tencent.com> - 3.41.0-1
- Initial build
